import { Observable } from 'rxjs';
import { Localization } from '../../localization/localization.service';
export declare class ConfirmOperationModalComponent {
    localization: Localization;
    private _onClosed;
    get onClosed(): Observable<Boolean>;
    constructor(localization: Localization);
    close(modalResult?: boolean): void;
    confirm(): void;
}
